### Virtual Method

# GtkSource CompletionProvider display

#### Declaration [src]

    void
    display (
      GtkSourceCompletionProvider* self,
      GtkSourceCompletionContext* context,
      GtkSourceCompletionProposal* proposal,
      GtkSourceCompletionCell* cell
    )

#### Description [src]

This function requests that the `GtkSourceCompletionProvider` prepares `cell` to display the contents of `proposal`.

Based on `cells` column type, you may want to display different information.

This allows for columns of information among completion proposals resulting in better alignment of similar content (icons, return types, method names, and parameter lists).

#### Parameters

`context`

  Type: `GtkSourceCompletionContext`

  A `GtkSourceCompletionContext`.

  The data is owned by the caller of the method.

`proposal`

  Type: `GtkSourceCompletionProposal`

  A `GtkSourceCompletionProposal`.

  The data is owned by the caller of the method.

`cell`

  Type: `GtkSourceCompletionCell`

  A `GtkSourceCompletionCell`.

  The data is owned by the caller of the method.